import React, { useEffect } from 'react';
import { isNonEmptyString } from 'primeobjects-helper-util/build/cjs/core';
import { _window } from 'primeobjects-helper-util/build/cjs/constants';
import { useCssStore } from 'primeobjects-ui-store/build/cjs/stores/css';
export var CSS = function (props) {
    var id = props.id, content = props.content;
    var cssStore = useCssStore();
    useEffect(function () {
        if (!_window.css)
            _window.css = {};
        if (isNonEmptyString(id) && !_window.css[id]) {
            _window.css[id] = true;
        }
        cssStore.setCSS(id, content);
    }, [id, content]);
    return React.createElement(React.Fragment, null);
};
export default CSS;
