/// <reference types="react" />
export declare type MENU_ITEM_TYPE = {
    title: string;
    href: string;
    description?: string;
    titleColor?: string;
    descColor?: string;
    icon?: string;
};
export declare const HeaderMenuItems: (props: {
    key?: string | undefined;
    title: string;
    colorName: string;
    href?: string | undefined;
    mobileView?: boolean | undefined;
    data?: MENU_ITEM_TYPE[] | undefined;
}) => JSX.Element;
export default HeaderMenuItems;
